#include<iostream>
#include<string>
#include<string.h>
#include<sstream>
using namespace std;
int main()
{
	long long A,B,C;
	cin>>A>>B>>C;
	string a = static_cast<ostringstream*>( &(ostringstream() << A) )->str();
	string b = static_cast<ostringstream*>( &(ostringstream() << B) )->str();
	string c = static_cast<ostringstream*>( &(ostringstream() << C) )->str();
	string x[6],max=a+b+c;
	x[0]=a+b+c;
	x[1]=a+c+b;
	x[2]=b+a+c;
	x[3]=b+c+a;
	x[4]=c+b+a;
	x[5]=c+a+b;
	for(int i=1;i<6;i++)
		if(x[i]>max)
			max=x[i];
	cout<<max;
}